%define module	TransitiveClosure
%define name	perl-Algorithm-Graphs-%{module}
%define version	1.4
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Calculate the transitive closure
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/A/AB/ABIGAIL/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Buildrequires:	perl-devel
Buildarch:	noarch

%description
This is an implementation of the well known Floyd-Warshall algorithm.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc LICENSE
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-2mdk 
- rpmbuildupdate aware

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-1mdk
- first mdk release
